Retrograder la version PluXml, c'est possible ?

PeyoPeyo Member
26 avril modifié dans Discussions générales

Bonjour à tous,
Puisque la version dernière du plugin Visual Wisard n'est pas compatible avec la 5.8.6 de PluXml, est-il possible de rétrograder PluXml à 5.7 ?
Où télécharger dans ce cas les fichiers nécéssaire à cette "downgrad" ?
Qu'est-ce que je perds, accessoirement, par rapport à 5.8.6 ?
Merci, Pierre

Mots clés:

Réponses

  • jol5926jol5926 Member

    Bonjour,
    Je suis en pluxml version 5.8.6 avec le plugin Visual Wizard, tout fonctionne correctement.

  • PeyoPeyo Member

    @jol5926 Merci pour ce retour ! Ça m'intéresse grandement ! Depuis plusieurs jours, je cherche et commence à baisser les bras, l'auteur s'est absenté, pas de réponse, sur d'autre demandes d'aide non plus... bref. Merci

    Quand je réédite une page ou un article monté avec VW, pour compléter par exemple, l'édition dans VW ne montre plus rien dans la page, tout est hors wisiwig, dans l'éditeur natif de PluxM (copie d'écran) ça ne reprend pas place dans VW.
    https://www.ecodiv.fr/capture.jpg

    Je vais désinstaller VW, le réinstaller, et je reviendrai donner des nouvelles.

  • jol5926jol5926 Member

    As-tu installé un autre éditeur de texte ? Si oui, teste en le désactivant.
    Si tu as plusieurs plugins d'installer VW doit être en tête de liste.

  • PeyoPeyo Member
    27 avril modifié

    @jol5926 oui, j'ai aussi PixEditor ; je l'ai placé après VW, VW en premier.
    La création d'une nouvelle publication est possible avec VW, mais pas sa ré-édition, hors j'ai besoin de faire des ajustements entre le premier affichage et les modifications à apporter, c'est là que ça coince.
    Il y a sans doute un peu de latence chez l'hébergeur, je crains : parfois les modifications n'apparaissent qu'après 5 minutes, même en ayant vidé le cache. Mais ce n'est pas la raison pour laquelle VW ne reprend pas dans l'éditeur "maison" le contenu déjà édité auparavant, je ne trouve pas.
    ...
    Autrement, je calerai après essai une page d'accueil convenable sans y revenir, mais je vois que le fait de choisir une page statique fait apparaître "BLOG" dans le menu, c'est pas souhaitable sur ce site...
    Ce qui m'aurait été fort utile serait une galerie d'article comme la "Magique galerie" en lien ici sur une capture d'essai, avec les articles accessibles.

    https://ecodiv.fr

  • PeyoPeyo Member

    Une possibilité tortueuse :
    1 reprendre (copier) le code qui apparaît dans l'éditeur Pluxml (puisqu'il n'apparaît plus en l'éditant avec VW) ;
    2 réouvrir la page avec VW, même si elle paraît vide, le titre est apparent tout en haut ;
    3 copier le code dans un widget "RawHtlm" ou "CodePrism" ; ici en la mise en forme initiale apparaît ;
    4 enregistrer et aller voir ; https://www.ecodiv.fr/?static8/essais
    Mais les modifications possibles ne sont faisables que dans le code, pas en wisiwig...

  • PeyoPeyo Member

    Pour rester sur la question initiale : Rétrograder la version vers 5.7
    En allant récupérer les fichiers de la version 5.7, par ftp remplacement des éléments de 5.8.6 sauf dossier Data, Theme et dossier Plugins, autrement ditr en ajoutant ou remplaçant DS store, sitemap, install, index, feed, config (tous en php, readme.md et .gitignore, plus les dossiers Update, Readme et Core.
    En me connectant, PluxMl demande quelle version antérieure était installée, or c'est une version postérieure.
    La mise à niveau s'arrête avec le message sur fond rose (alerte) : "Aucun utilisateur présent dans le fichier data/configuration/password.xml
    ...
    Remise en place de la version 5.8.6, tout fonctionne.
    Si vous avez idée de la procédure pour rétrograder la version, je suis preneur pour tester notamment Visual Wisard sur 5.7, merci

Connectez-vous ou Inscrivez-vous pour répondre.